summaryrefslogtreecommitdiffstats
path: root/CAN-binder/libs/isotp-c/runtests.sh
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2017-05-02 17:51:18 +0200
committerRomain Forlot <romain.forlot@iot.bzh>2017-05-02 17:51:18 +0200
commitf44a5b1549bc4c8a84d0dedf4a8b1e4220a34f42 (patch)
tree2368f764aa2f10bf9927096f5222dc4cab94a838 /CAN-binder/libs/isotp-c/runtests.sh
parentd170c9faeae2cf29c19f3523714ecdf58be73bed (diff)
parentee24440b7c123ab1b0317e57be33e837a1cb51f1 (diff)
Add 'CAN-binder/libs/isotp-c/' from commit 'ee24440b7c123ab1b0317e57be33e837a1cb51f1'
git-subtree-dir: CAN-binder/libs/isotp-c git-subtree-mainline: d170c9faeae2cf29c19f3523714ecdf58be73bed git-subtree-split: ee24440b7c123ab1b0317e57be33e837a1cb51f1
Diffstat (limited to 'CAN-binder/libs/isotp-c/runtests.sh')
-rw-r--r--CAN-binder/libs/isotp-c/runtests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/CAN-binder/libs/isotp-c/runtests.sh b/CAN-binder/libs/isotp-c/runtests.sh
new file mode 100644
index 00000000..4781636b
--- /dev/null
+++ b/CAN-binder/libs/isotp-c/runtests.sh
@@ -0,0 +1,17 @@
+echo "Running unit tests:"
+
+for i in $1/*.bin
+do
+ if test -f $i
+ then
+ if ./$i
+ then
+ echo $i PASS
+ else
+ echo "ERROR in test $i:"
+ exit 1
+ fi
+ fi
+done
+
+echo "${txtbld}$(tput setaf 2)All unit tests passed.$(tput sgr0)"